<template>
  <div class="text">
      <div v-for="(item,index) in text" :key="index" class="list" @click="enter(item)">
          <div class="left">{{item.title}}</div>
          <div class="right">
              <img :src="right"  />
          </div>
      </div>
      <div class="hintbox"  style="width:100%;height:100%;position:absolute;left:0"v-if="show">
        <div class="hintboxBG" >
          <div class="hintboxCT">
            <div class="box">
             <div style="margin-top:54rpx">大中华区客户服务电话</div>
              <div>400-860-888</div>
            </div>
            <div class="btn" @click.stop.prevent="phone()">立即拨打</div>
          </div>
        </div>
        <div class="close" @click="close1">
            <img :src="close" alt="" >
        </div>
        <!-- <div class="background" ></div> -->
        <div class="mask"></div>
      </div>
  </div>
</template>

<script type="text/ecmascript-6">

  import config from '@/config'
  export default {
    data(){
      return{
        close:config.url+'close.png',
        show:false,
        right:config.url+'right1.png',
        listTop : 0,
        top1 : 0,
      }
    },

    props:{
      text:{
        default(){
          return{
              title:'',
              text:'',
              id:''
           
          }
        }
      }
    },
    methods:{
        close1(){
            console.log('关闭');
            let that = this;
            that.show = false;
          },
          //phone
          phone(){
            wx.makePhoneCall({
              phoneNumber: '400-860-888',//仅为示例，并非真实的电话号码
              success(res){
                console.log('拨打电话成功');

                },
                fail(res){
                console.log('拨打电话失败');

                }
             })

          },
        enter(data){
            if(data.title === '试衣预约'){
                var data = {
                    storeName:data.text,
                    storeId:data.id
                };
                wx.setStorageSync('store',data);
                config.href(config.customer.order+'?storename=' + data.text + '&storeId=' +data.id);
            }
            if(data.title === '试衣预约记录'){
                config.href(config.customer.record);
            }
            if(data.title === '售后服务'){
                config.href(config.customer.service +'?storename=' + data.text + '&storeId=' +data.id);
                
            }
            if(data.title === '拨打电话'){
                this.show = true;
            }
        }
        

     
    },

  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.text{
   width:6.1rem;
   border-bottom:1px solid #D2D2D3;
   margin: 0rem 0.7rem;
    .list{
        display:flex;
        width:6.1rem;
        height:0.96rem;
        line-height:0.96rem;
        border-top:1px solid #D2D2D3;
        .left{
             color:#727171;
             font-size:0.26rem; 
        } 
        .right{
            position:absolute;
            right:0.7rem;
            color:#727171;
           font-size:0.26rem;
           span{
            color:#727171;
            font-size:0.26rem;
           }
           img{
               width:0.17rem;
               height:0.22rem
           }
        }
    }
    .close{
    position: absolute;
    bottom: 3.6rem;
    z-index: 9999;
    img{
      width: 0.68rem;
      height: 0.68rem;
      margin: 0 auto;
    }
  }
  .hintboxBG {
    position: fixed;
    z-index: 1001;
    top: 4rem;
    left: 1.2rem;
    width: 5.12rem;
     
  }
    .mask{
    background-color: rgba(0, 0, 0, 0.6);
    width: 100%;
    height: 100%;
    z-index:999;
    position:fixed;
    top:0;
  }

  .hintboxCT {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    height: 3rem;
    background: #fff;
    border-top-left-radius:0.1rem;
    border-top-right-radius:0.1rem;
  }
  .box{
    height: 2.2rem;
    width: 100%;
    line-height: 0.54rem;
    text-align: center;
   
  }


  .hintbox .text, .hintbox .btn {
    position: relative;
    background-color: #fff;
    z-index: 1001;
  }

  .hintbox{
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0rem;
    word-break: break-all;
    width: 100%;
    // min-height: 1.64rem;
    // max-height: 6.5rem;
    overflow-y: scroll;
    padding: 0.2rem;
    color: #000;
    font-size: 0.32rem;
    line-height: .40rem;
    letter-spacing: 0.01rem;
    box-sizing: border-box;
    border-radius: 0.1rem 0.1rem 0 0;
  }

  .hintbox .btn {
    border-top: 1px solid #D8D8D8;
    width: 100%;
    height: 0.8rem;
    text-align: center;
    line-height: 0.8rem;
    font-size: 0.28rem;
    color: #727171;
    border-radius: 0 0 0.1rem 0.1rem;
    background: #E3E3E3;
  }

}
  
  
</style>
